Check site in blacklist
/blacklist/checkCheck website before order
Check website in blacklist before order, some types of blacklist can be enabled or disabled. For example we allow pay sites on mobile proxies.
Query method
GEThttps://api.stableproxy.com/v2/blacklist/check
Query parameters
| Identifier | Regulations | Example |
|---|---|---|
| domain | required | "pay.com" |
Code examples
1const baseUrl = "https://api.stableproxy.com/v2";2const response = await fetch(baseUrl + "/blacklist/check", {3 method: "GET",4 headers: {5 "Content-Type": "application/json"6 }7});8const data = await response.json();Examples of answers
Success response200application/json
{
"data": {
"target": "pay.com",
"in_blacklist": true,
"all_blacklist": false,
"blacklist": {
"superproxy": true,
"mobile_gb": true,
"mobile_static": true,
"residential_gb": false,
"residential_requests": true,
"shared": true,
"private": false,
"individual": true
}
}
}